{% extends "base.html" %}

{% load static %}
{% load wagtailcore_tags wagtailimages_tags %}

{% block body_class %}template-detailpage{% endblock %}

{% block extra_css %}
<link rel="stylesheet" href="{% static 'css/detail.css' %}">
{% endblock %}

{% block content %}

{% include "nav.html" %}

   <!-- bannerbannerbannerbannerbannerbannerbannerbannerbannerbanner -->

   {% image page.cover_photo original as cover_photo %}

   <div style="
      background: url('{{cover_photo.url}}');
      width: 100%;
      height: 100vh;
      margin: auto;
      background-repeat: no-repeat;
      background-size: cover;
   ">
    <div class="container">
      <div class="banner-content container">
        <h1>{{ page.title }}</h1>
      </div>
    </div>
   </div>

   <!--bannerbannerbannerbannerbannerbannerbannerbannerbannerbanner -->


   <!-- project1project1project1project1project1project1project1project1project1project1project1 -->

   {% for loop_cycle in page.detail_item.all %}
      {% image loop_cycle.photo fill-400x400 as img %}

      {% if forloop.counter|divisibleby:2 %}
      
      <div class="container-fluid overflow-hidden project2">
        <div class="row gx-5">
            <div class="col-lg">
                <div class="p-3">
                    <div class="project2-massage">
                      <h1>{{ loop_cycle.title }}</h1>
                      <p>{{ loop_cycle.description | richtext }}
                      </p>
                    </div>
                </div>
              </div>
          <div class="col">
           <div class="">
            <div class="project2-image ">
              <img src="{{ img.url }}">
            </div>
           </div>
          </div>
          
        </div>
      </div>

      {% else %}
      <div class="container-fluid overflow-hidden project1">
        <div class="row gx-5">
          <div class="col">
           <div class="">
            <div class="project1-image ">
                <img src="{{ img.url }}">
            </div>
           </div>
          </div>
          <div class="col-lg">
            <div class="p-3">
                <div class="project1-massage">
                    <h1>{{ loop_cycle.title }}</h1>
                    <p>{{ loop_cycle.description | richtext }}
                    </p>
                </div>
            </div>
          </div>
        </div>
      </div>      
      {% endif %}

   <!-- project1project1project1project1project1project1project1project1project1project1project1 -->
{% endfor %}
<!-- prject2prject2prject2prject2prject2prject2prject2prject2prject2prject2prject2prject2prject2 -->

<!-- prject2prject2prject2prject2prject2prject2prject2prject2prject2prject2prject2prject2prject2 -->

{% include "footer.html" %}
{% endblock %}